$round: 10px;
$left_2 : 120px;

$top_1 : 20px;

body {
    margin: 0;
    overflow: hidden;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.btn {
    cursor: pointer;
}

#hello {
    position: absolute;
    background-color: #fff;
    height: 100%;
    width: 100%;
    z-index: 20;
    display: flex;
    flex-wrap: wrap;
    padding: 100px;
}

.player {
    border-radius: $round * 5;
    width: 150px;
    height: 150px;
    margin: 50px;
    padding: 40px;
    text-align: center;
    font-size: 24px;
    background-color: rgb(190, 255, 92);
    border: 1px solid rgba(44, 66, 44, 0.582);
}

#form-new-player {
    position: fixed;
    border-radius: $round 0 0 0;
    background-color: rgb(161, 0, 0);
    // font-weight: normal;
    color: #fff;
    border: 1px solid rgba(48, 36, 36, 0.753);
    bottom: 0;
    right: 0;
    width: 350px;
    height: 150px;
    z-index: 25;
    padding: 0 25px;
}

#map {
    position:absolute;
    top:0;
    bottom:0;
}

.marker {
    width: 65px;
    height: 65px;
    cursor: pointer;
    background: url('../assets/sprite.png') 0 0 no-repeat;
}

.player-marker {
    width: 50px;
    height: 50px;
    background: url('../assets/player.png') 0 0 no-repeat;
    background-size: cover;
}

#pokemon-info {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 25%;
    height: calc(100% - 100px);
    margin: auto;
    background-color: #fff;
    border: 1px solid #111;
    display: none;
    z-index: 10;
}

#pokemon-info-image {
    width: 44px;
    height: 44px;
    background: url('../assets/sprite.png') 0 0 no-repeat;
    transform: scale(2.5);
    margin: 60px auto;
}

// Fenêtre Pokedex

#pokedex-info {
    bottom: $top_1;
    left: $left_2;
    height: 350px;
    width: 400px;
    display: none;
    background-color: #f7d7ff;

    #pokedex-info-list {
        display: flex;
        flex-wrap: wrap;
        padding: 10px;

        .pokedex-info-item {
            margin: 5px 10px;
            width: 20px;
            height: 20px;
            font-size: 16px;
            text-align: center;
            padding: 10px;
            border: 1px solid #efe6f1;
            background-color: #d7c5db;

            &.have-sprite {
                background-image: url('../assets/sprite.png');
                transform: scale(1.3);
                background-color: #f7d7ff;
                border: none;
            }
        }
    }
}

// Fenêtre Menu

#menu-info {
    top: $top_1;
    left: $left_2 + 20px;
    display: none;

    & > div {
        cursor: pointer;
    }

    & > :first-child {
        cursor: initial;
    }
}

// Fenêtre création d'événement

#event-creator {
    top: 163px;
    left: 140px;
    height: 300px;
    width: 300px;
    display: none;
}

#form-event-creator {
    display: flex;
    flex-direction: column;
    padding: 10px;
}

#form-event-creator > label {
    display: flex;
    justify-content: space-between;
    padding-bottom: 10px;
}

#event-info {
    bottom: 100px;
    left: 120px;
    height: 20%;
    width: 350px;
    display: none;
}

// Classe Fenêtre

.window {
    border-radius: $round;
    position: absolute;
    overflow: auto;
    z-index: 10;
    background-color: #fff;
    box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.6);

    & > div {
        padding: 10px;
    }
    
    & > :first-child {
        border-radius: $round $round 0 0;
        border-bottom: 1px solid rgb(77, 77, 77);
        padding: 5px;
        background-color: gray;
        display: flex;
        justify-content: space-between;
    }
}

// Icônes

#pokedex {
    width: 90px;
    height: 90px;
    bottom: 18px;
    left: 8px;
    background: url('../assets/pokedex.png') 0 0 no-repeat;
    background-size: cover;
}

#menu {
    width: 120px;
    height: 120px;
    top: 20px;
    left: 15px;
    background: url('../assets/menu.png') 0 0 no-repeat;
    background-size: cover;
}

#event {
    width: 77px;
    height: 77px;
    bottom: 100px;
    left: 16px;
    background: url('../assets/event.png') 0 0 no-repeat;
    background-size: cover;
}

.icon {
    z-index: 10;
    position: absolute;
    cursor: pointer;
}

/**/

#fight-container {
    background: url('../assets/background-fight.png') 0 0 no-repeat;
    display: none;
    height: 350px;
    left: 20%;
    overflow: hidden;
    top: 10%;
    width: 700px;
    position: absolute;
    z-index: 30;
}

#pokemon-attack-image {
    background: url('../assets/sprite-back.png') 0 0 no-repeat;
    height: 50px;
    left: 98px;
    position: absolute;
    top: 200px;
    transform: scale(4);
    width: 50px;
}

#pokemon-defense-image {
    background: url('../assets/sprite.png') 0 0 no-repeat;
    bottom: 149px;
    height: 40px;
    position: absolute;
    right: 175px;
    transform: scale(3);
    width: 40px;
}